#include <kommanderplugin.h>

/* WIDGET INCLUDES */
#include "kom-fsmi.h"

#define i18n

class MyKomPlugin : public KommanderPlugin
{
public:
    MyKomPlugin();
    virtual QWidget *create( const QString &className, QWidget *parent = 0, const char *name = 0 );
};

MyKomPlugin::MyKomPlugin()
{
    addWidget( "FF_Table", "FSMI", i18n("A Kommander fsmi table widget"), NULL );
    //add my other widgets here
}

QWidget *MyKomPlugin::create( const QString &className, QWidget *parent, const char *name )
{
    if( className == "FF_Table" )
	return new FF_Table( parent, name );
    //create my other widgets here
    return 0;
}

KOMMANDER_EXPORT_PLUGIN(MyKomPlugin)
